%% transform data : log deviation from steady state
clear all
%load('data.mat');
load('data_jp.mat');
ylo=log(gdp);
ylotrend=hpfilter(ylo,1600);
y=ylo-ylotrend;
%demean log interest rate
r=log(i./100)-mean(log(i./100));
%demean log inflation
pie=log(piereal./100+1)-mean(log(piereal./100+1));
% detrend wage, assume p=120
rwreal=w./P;
rw=log(rwreal)-hpfilter(log(rwreal),1600);

filename='dataproadj.xls'

%xlwrite(filename, {'y' 'pie' 'r' 'rw'}, 'Sheet1', 'A1');  %# Write the names
xlswrite(filename, [y pie r rw]);      %# Write the data
